Subject: RE: [Seamoby] Summary of Discussion on CAR Discovery Requirements

From: [email-masked]
Date: Wed, 23 Jan 2002 13:29:41 -0500

Hi James,

> So it sounds like there is a case for interdomain discovery, but it
> might be mitigated by certain difficulties. Business considerations
> shouldn't really be an issue here, but scalability certainly should,
> and I can see an argument about technical difficulty integrating
> the CAR discovery with interdomain routing, in both the MN
> and AR cases.
> 
> There was really not much technical discussion on this issue
> at SLC. Since then, there has been more, and the
> outlines of possible problems are beginning to emerge.
> I think we really need to do a deeper study to determine
> whether or not this is technically doable.
> 
> How about if we keep the requirement a SHOULD? I
> believe that is how Govind originally listed it.

I'm fine with keeping it a SHOULD since this has been the original
proposal anyway. The solutions will show if it is indeed technically
doable. A SHOULD would reflect the desire that CAR discovery aims at
discovering GAARs irrespectively of their domains, if possible. 

But the discussion started actually by asking for separation of the 
requirements, and this particular item was given as an example. And 
I simply don't agree that we define different ones (a MUST and a SHOULD 
version) for different solution spaces. Either we want to make the above
desire mandatory for ALL solutions or not, but only for a subset
does not sound well.

Regards,

Dirk

_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby

---

From: "James Kempf" <[email-masked]>
Date: Wed, 23 Jan 2002 10:52:13 -0800

Dirk,

> discovering GAARs irrespectively of their domains, if possible.

OK.

> desire mandatory for ALL solutions or not, but only for a subset

So far, I haven't seen anybody support separating requirements
other than this one. If SHOULD doesn't cover it, then I think
it would probably be more economical to have a few words about the two
cases directly in the requirment rather than split them.

So if anybody thinks that more is needed for this requirement,
please propose some text. Otherwise, can we go forward
with SHOULD?

                jak